.loader-wrapper {
  padding: 0.7rem;
  display: flex;
  justify-content: center;
}

.loader-wrapper.hidden {
  display: none;
}

.loader-wrapper.inline {
  padding: 0.2rem;
}

.loader-overlay {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 1000;
}

.loader-overlay.hidden {
  display: none;
}

.loader {
  width: 3rem;
  height: 3rem;
  border-radius: 50%;
  border: 5px solid var(--action-bg);
  border-top: 5px solid white;
  animation: spin 1s linear infinite;
}

.loader.loader-small {
  width: 1rem;
  height: 1rem;
  border-width: 3px;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
